@base <https://purl.org/coscine/ap/qudt/quantitykind/MassRatio/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/MassRatio/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Mass Ratio sind."@de,
    "Profile for all units that are a/an Mass Ratio."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Mass Ratio"@de,
    "Unit: Mass Ratio"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:FemtoGM-PER-KiloGM unit:GM-PER-GM unit:GM-PER-KiloGM unit:KiloGM-PER-KiloGM unit:MicroGM-PER-GM unit:MicroGM-PER-KiloGM unit:MilliGM-PER-GM unit:MilliGM-PER-KiloGM unit:NanoGM-PER-KiloGM unit:PicoGM-PER-GM unit:PicoGM-PER-KiloGM ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:FemtoGM-PER-KiloGM rdfs:label "Femtograms Per Kilogram"@en .
unit:GM-PER-GM rdfs:label "Gram Per Gram"@en .
unit:GM-PER-KiloGM rdfs:label "Gram Per Kilogram"@en .
unit:KiloGM-PER-KiloGM rdfs:label "Kilogram Per Kilogram"@en .
unit:MicroGM-PER-GM rdfs:label "Micrograms Per Gram"@en .
unit:MicroGM-PER-KiloGM rdfs:label "Microgram Per Kilogram"@en .
unit:MilliGM-PER-GM rdfs:label "Milligram Per Gram"@en .
unit:MilliGM-PER-KiloGM rdfs:label "Milligram Per Kilogram"@en .
unit:NanoGM-PER-KiloGM rdfs:label "Nanogram Per Kilogram"@en .
unit:PicoGM-PER-GM rdfs:label "Picograms Per Gram"@en .
unit:PicoGM-PER-KiloGM rdfs:label "Picograms Per Kilogram"@en .
